metaHTML

# Class: htmlTable

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlTable

Structures elements using a table.

### Constants

- footer
- newLine

### Methods

- addElement
- addNewLine
- generateHTML
- mergeTableElements
- setCSSClasses

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::VALIDATE_NUMERIC

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 133]
Structures elements using a table.
[ Top ]

### Class Methods

### method addElement [line 154]

`void addElement( mixed $element, [boolean $newLine = false], [boolean $isTableHeadElement = false])`

Adds an element to the table. The element may be a htmlElement object or a simple String.

#### Tags:

access: | public

#### Parameters:

mixed | $element | htmlElement object or a simple String
boolean | $newLine | adds a new line after the element (optional, default false)
boolean | $isTableHeadElement | specifies if this is a head or body element (default: body)

[ Top ]

### method addNewLine [line 194]

`void addNewLine( )`

Adds another line to the table.

#### Tags:

access: | public

[ Top ]

### method generateHTML [line 214]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)
access: | public

Overrides htmlElement::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method mergeTableElements [line 243]

`void mergeTableElements( $table $table)`

Merges the content of another htmlTable object into this table.

#### Tags:

access: | public

#### Parameters:

$table | $table | table to get elements

[ Top ]

### method setCSSClasses [line 273]

`void setCSSClasses( String $CSSClasses)`

Sets the CSS classes for the table.

#### Tags:

access: | public

#### Parameters:

String | $CSSClasses | CSS class names (e.g. "userlist smallPadding")

[ Top ]

### Class Constants

#### footer = "</table>\n"

[line 136]

table footer
[ Top ]

#### newLine = "</tr><tr>\n"

[line 138]

new line
[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:49 +0100 by phpDocumentor 1.4.1